/*
 * Compatibility definitions for using jz4740 code with the jz4730
 *
 * Copyright (C) 2015 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#ifndef __JZ4730_COMPAT_H__
#define __JZ4730_COMPAT_H__

#define REG_CPM_CPCCR		REG_CPM_CFCR
#define REG_CPM_CPPCR		REG_CPM_PLCR1

#define CPM_CPCCR_CDIV_BIT	CPM_CFCR_IFR_BIT
#define CPM_CPCCR_HDIV_BIT	CPM_CFCR_SFR_BIT
#define CPM_CPCCR_PDIV_BIT	CPM_CFCR_PFR_BIT
#define CPM_CPCCR_MDIV_BIT	CPM_CFCR_LFR_BIT
#define CPM_CPCCR_LDIV_BIT	CPM_CFCR_MFR_BIT

#define CPM_CPPCR_PLLM_BIT	CPM_PLCR1_PLL1FD_BIT
#define CPM_CPPCR_PLLN_BIT	CPM_PLCR1_PLL1RD_BIT
#define CPM_CPPCR_PLLOD_BIT	CPM_PLCR1_PLL1OD_BIT
#define CPM_CPPCR_PLLST_BIT	CPM_PLCR1_PLL1ST_BIT
#define CPM_CPPCR_PLLEN		CPM_PLCR1_PLL1EN

#endif /* __JZ4730_COMPAT_H__ */
